Subject: Re: [Govpn-devel] Invalid verifier structure issue!

From: [email-masked]
Date: Sun, 28 Feb 2016 11:08:14 +0300

Greetings!

*** Gary <[email-masked]> [Sun, 28 Feb 2016 10:59:07 +0800]:
># ./govpn-client -verifier
>"$argon2d$m=4096,t=128,p=1$VHxSAZ2TlXb//BJAUUqLoQ" -iface tap0  -remote

If you call this command exactly in that way, I assume your shell
interprets "$argon2" and "$m" strings as variables. Try to use single
quotes: '$argon2d$m=4096,t=128,p=1$VHxSAZ2TlXb//BJAUUqLoQ'.

"$" character has this kind of convenience drawback, but this is the
Argon2/PHC standard.

-- 
Happy hacking, Sergey Matveev